Eclipse Platform Release 3.7

## org.eclipse.core.runtime.jobs
Interface IJobChangeEvent

    public interface IJobChangeEvent

An event describing a change to the state of a job.

Since:
  3.0
See Also:
  `IJobChangeListener`
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

Method Summary
`long` `getDelay()` The amount of time in milliseconds to wait after scheduling the job before it should be run, or `-1` if not applicable for this type of event.
`Job` `getJob()` The job on which this event occurred.
`IStatus` `getResult()` The result returned by the job's run method, or `null` if not applicable.

Method Detail

### getDelay

    long getDelay()

  The amount of time in milliseconds to wait after scheduling the job before it should be run, or `-1` if not applicable for this type of event. This value is only applicable for the `scheduled` event.

  Returns:
    the delay time for this event

### getJob

    Job getJob()

  The job on which this event occurred.

  Returns:
    the job for this event

### getResult

    IStatus getResult()

  The result returned by the job's run method, or `null` if not applicable. This value is only applicable for the `done` event.

  Returns:
    the status for this event

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.